Subject: Re: [PATCH 2/2] mergetool-lib: add a three-way diff view for vim/gvim

From: David Aguilar <[email-masked]>
Date: Fri, 24 Sep 2010 20:17:47 -0700

On Fri, Sep 24, 2010 at 05:38:52PM -0400, Jeff King wrote:
> On Fri, Sep 24, 2010 at 12:09:28PM -0700, Jacob Helwig wrote:
> 
> > > So are these patches good to go forward with? No major objections in a
> > > over a week's time.
> > > 
> > > -Dan
> > 
> > I'd +1 David's suggestion of calling this "vimdiff3", I'd like to still
> > be able to access the current behavior, since I have merge.conflictstyle
> > = diff3, and already see the merge base when I use (g)vimdiff with
> > mergetool.
> 
> Of course as soon as I say "nobody objected" in my other email, this
> arrives. :)
> 
> Can we provide both, but make the vimdiff3 behavior the preferred
> default? It better matches the default merge.conflictstyle, and people
> who are using diff3 obviously understand how to tweak config.
> 
> -Peff

+1 to Peff's suggestion.

Dan, can you reroll the patch so that the new behavior is
"(g)vimdiff" and the old behavior is available as
"(g)vimdiff2"?

I do slightly dislike having both from the maintenance POV.
But, it's better to keep it around than to rip it away from
happy users' hands.  Thanks for speaking up Jacob.

Cheers,
-- 

		David